All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::fs_path Struct Reference

`#include <property_tree.hpp>`

Inheritance diagram for uhd::fs_path:

## Public Member Functions

UHD_API | fs_path (void)
UHD_API | fs_path (const char *)
UHD_API | fs_path (const std::string &)
UHD_API std::string | leaf (void) const
UHD_API fs_path | branch_path (void) const

## Detailed Description

FS Path: A glorified string with path manipulations. Inspired by boost filesystem path, but without the dependency.

Notice: we do not declare UHD_API on the whole structure because MSVC will do weird things with std::string and linking.

## Constructor & Destructor Documentation

UHD_API uhd::fs_path::fs_path | ( | void |  | ) |

UHD_API uhd::fs_path::fs_path | ( | const char * |  | ) |

UHD_API uhd::fs_path::fs_path | ( | const std::string & |  | ) |

## Member Function Documentation

UHD_API fs_path uhd::fs_path::branch_path | ( | void |  | ) | const

UHD_API std::string uhd::fs_path::leaf | ( | void |  | ) | const

The documentation for this struct was generated from the following file:

- include/uhd/property_tree.hpp